### Name: calc.relimp
### Title: Function to calculate relative importance metrics for linear
###   models
### Aliases: calc.relimp
### Keywords: multivariate models

### ** Examples

#####################################################################
### Example: relative importance of various socioeconomic indicators 
###          for Fertility in Switzerland
### Fertility is first column of data set swiss
#####################################################################
data(swiss)
    calc.relimp(cov(swiss), 
       type = c("lmg", "last", "first", "betasq", "pratt"), rela = TRUE )
    # calculation of all available relative importance metrics 
        # non-US version offers the additional metric "pmvd", 
        # i.e. call would be 
        # calc.relimp(cov(swiss), 
        # type = c("lmg", "pmvd", "last", "first", "betasq, "pratt"), 
        # rela = TRUE )
    plot(calc.relimp(cov(swiss), 
        type = c("lmg", "last", "first", "betasq", "pratt"), rela = TRUE ))
    # bar plot of the relative importance metrics

   #of statistical interest in this context: correlation matrix
       cor(swiss)
  


